scoreboard objectives add main_score dummy

scoreboard objectives add const dummy
scoreboard players set #10 const 10
scoreboard players set #60 const 60
scoreboard players set #256 const 256
scoreboard players set #24000 const 24000

scoreboard objectives add crab_jj.model dummy
scoreboard objectives add crab_jj.hurt_time dummy
scoreboard objectives add crab_jj.death_time dummy
scoreboard objectives add crab_jj.animation_time dummy

# schedules
schedule function crab_jj:tick_2 2t
schedule function crab_jj:tick_20 20t
schedule function crab_jj:crab/claw/drop 12000t

# A reminder for myself:
#
#    Todo list:
#      Add a craft for Crab Stew
#   
#    What do I use:
#      potion - for OBJMC models
#      poisonous_potato - for right click detection and dummy items
#      polar_bear_spawn_egg - for custom spawn eggs
#   
#    Custom Model Data list:
#      potion.json:
#          10001 - crab idle
#          10002 - crab walk
#          10003 - crab death
#          10004 - crab no claw idle
#          10005 - crab no claw walk
#          10006 - crab no claw death
#          10007 - crab baby idle
#          10008 - crab baby walk
#          10009 - crab baby death
#      poisonous_potato.json:
#          10006 - crab claw
#          10007 - crab meat
#          10008 - crab stew
#      polar_bear_spawn_egg.json:
#          10000 - crab spawn egg